LotusStyleManagerInternal::CellStyle Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
LotusStyleManagerInternal::CellStyle Struct Reference

small struct used to defined cell style More...

## Public Member Functions
| CellStyle (libwps_tools_win::Font::Type fontType)
| constructor

## Public Attributes
int | m_borders
| the borders
int | m_bordersId [4]
| the border line id
int | m_colorsId [2]
| the color id : surface, shadow ?
int | m_fontId
| the font id
int | m_formatId
| the format id
ColorStyle | m_colorStyle
| the color style
FontStyle | m_fontStyle
| the font style
WPSCellFormat::HorizontalAlignment | m_hAlign
| the horizontal align
WPSCellFormat::VerticalAlignment | m_vAlign
| the vertical align
WPSCellFormat::Wrapping | m_wrapping
| the wrapping
int | m_rotation
| the rotation
WPSBorder | m_bordersStyle [4]
| the cell border
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, CellStyle const &cell)
| operator<<

## Detailed Description

small struct used to defined cell style

## Constructor & Destructor Documentation

## ◆ CellStyle()

LotusStyleManagerInternal::CellStyle::CellStyle | ( | libwps_tools_win::Font::Type | fontType | ) |
| inlineexplicit

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | CellStyle const & | cell )
| friend

operator<<

## Member Data Documentation

## ◆ m_borders

int LotusStyleManagerInternal::CellStyle::m_borders

the borders

Referenced by CellStyle(), operator<<, and LotusStyleManager::readCellStyleD2().

## ◆ m_bordersId

int LotusStyleManagerInternal::CellStyle::m_bordersId[4]

the border line id

Referenced by CellStyle(), operator<<, and LotusStyleManager::readCellStyleD2().

## ◆ m_bordersStyle

WPSBorder LotusStyleManagerInternal::CellStyle::m_bordersStyle[4]

the cell border

Referenced by CellStyle(), and LotusStyleManager::readCellStyleE6().

## ◆ m_colorsId

int LotusStyleManagerInternal::CellStyle::m_colorsId[2]

the color id : surface, shadow ?

Referenced by CellStyle(), operator<<, and LotusStyleManager::readCellStyleD2().

## ◆ m_colorStyle

ColorStyle LotusStyleManagerInternal::CellStyle::m_colorStyle

the color style

Referenced by CellStyle(), LotusStyleManager::readCellStyleD2Data(), and LotusStyleManager::readCellStyleE6().

## ◆ m_extra

std::string LotusStyleManagerInternal::CellStyle::m_extra

extra data

Referenced by CellStyle(), operator<<, LotusStyleManager::readCellStyleD2(), and LotusStyleManager::readCellStyleD2Data().

## ◆ m_fontId

int LotusStyleManagerInternal::CellStyle::m_fontId

the font id

Referenced by CellStyle(), operator<<, and LotusStyleManager::readCellStyleD2().

## ◆ m_fontStyle

FontStyle LotusStyleManagerInternal::CellStyle::m_fontStyle

the font style

Referenced by CellStyle(), LotusStyleManager::readCellStyleD2Data(), and LotusStyleManager::readCellStyleE6().

## ◆ m_formatId

int LotusStyleManagerInternal::CellStyle::m_formatId

the format id

Referenced by CellStyle(), operator<<, and LotusStyleManager::readCellStyleD2().

## ◆ m_hAlign

WPSCellFormat::HorizontalAlignment LotusStyleManagerInternal::CellStyle::m_hAlign

the horizontal align

Referenced by CellStyle(), operator<<, and LotusStyleManager::readCellStyleD2Data().

## ◆ m_rotation

int LotusStyleManagerInternal::CellStyle::m_rotation

the rotation

Referenced by CellStyle(), operator<<, and LotusStyleManager::readCellStyleD2Data().

## ◆ m_vAlign

WPSCellFormat::VerticalAlignment LotusStyleManagerInternal::CellStyle::m_vAlign

the vertical align

Referenced by CellStyle(), operator<<, and LotusStyleManager::readCellStyleD2Data().

## ◆ m_wrapping

WPSCellFormat::Wrapping LotusStyleManagerInternal::CellStyle::m_wrapping

the wrapping

Referenced by CellStyle(), operator<<, and LotusStyleManager::readCellStyleD2Data().

The documentation for this struct was generated from the following file:

- LotusStyleManager.cpp